import * as THREE from 'three';
import { UnrealBloomPass } from 'three/examples/jsm/postprocessing/UnrealBloomPass.js'
import { EffectComposer } from 'three/examples/jsm/postprocessing/EffectComposer.js'
import { RenderPass } from 'three/examples/jsm/postprocessing/RenderPass.js'
import { SSAOPass } from 'three/examples/jsm/postprocessing/SSAOPass.js'//引入抗锯齿滤镜

import { SSAARenderPass } from 'three/examples/jsm/postprocessing/SSAARenderPass.js'//引入抗锯齿滤镜
import { ShaderPass } from 'three/examples/jsm/postprocessing/ShaderPass.js'

import { scene, renderer } from './render.js'
import { camera } from './camera.js'


//引入抗锯齿后期通道


const glowEffect=(scene,camera)=>{
const glowContorl = {//添加发光层得基础参数
    exposure: 2,
    bloomStrength: 0.8,
    bloomThreshold: 0,
    bloomRadius: 0,
    scene: 'Scene with Glow'
};
const renderScene = new RenderPass(scene, camera);//合成滤镜

const bloomPass = new UnrealBloomPass(new THREE.Vector2(window.innerWidth, window.innerHeight), 1.5, 0.4, 0.85);//发光滤镜
bloomPass.threshold = glowContorl.bloomThreshold;
bloomPass.strength = glowContorl.bloomStrength;
bloomPass.radius = glowContorl.bloomRadius;

const bloomComposer = new EffectComposer(renderer);
bloomComposer.renderToScreen = true;//发光是否渲染到屏幕
bloomComposer.addPass(renderScene);
bloomComposer.addPass(bloomPass);
return bloomComposer
}

const bloomComposer = glowEffect(scene,camera)

export { bloomComposer }