/*
 * @Author: xiefan 4033638634@qq.com
 * @Date: 2023-05-21 22:23:16
 * @LastEditors: xiefan 4033638634@qq.com
 * @LastEditTime: 2023-05-23 22:03:32
 * @FilePath: \7e:\project\2023\5\21 threejs解耦\xiefan\src\components\threejs\render\render.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import * as THREE from 'three';
import { camera } from './camera.js'
import { CSS3DRenderer, CSS3DSprite, CSS3DObject } from 'three/examples/jsm/renderers/CSS3DRenderer.js';
import { renderC1 } from './renderConfigM'
const scene = new THREE.Scene();

const renderSet = (renderC1) => {
  const bigSize = renderC1//render设置
  const renderer = new THREE.WebGLRenderer({ antialias: true, powerPreference: "high-performance",alpha: true });
  renderer.setSize(window.innerWidth * bigSize.xyADD, window.innerHeight * bigSize.xyADD);
  renderer.domElement.style.marginLeft = -window.innerWidth * bigSize.offsetx + 'px'
  renderer.domElement.style.marginTop = -window.innerHeight * bigSize.offsety + 'px'
  // renderer.outputColorSpace = THREE.LinearSRGBColorSpace;
  renderer.toneMapping = THREE.LinearToneMapping
  // renderer.toneMapping = THREE.ReinhardToneMapping;
  renderer.toneMappingExposure = 1
  renderer.sortObjects = false//定义渲染器是否应对对象进行排序。默认是true. 不再透明度排序，从而修补透明度 显示bug
  return renderer
}




const Css3RenderSet = (renderC1) => {
  const bigSize = renderC1//render设置
  const CSS3renderer = new CSS3DRenderer();//渲染css的htlm对象
  CSS3renderer.setSize(window.innerWidth * bigSize.xyADD, window.innerHeight * bigSize.xyADD);
  CSS3renderer.domElement.style.position = 'absolute'
  CSS3renderer.domElement.style.marginLeft = -window.innerWidth * bigSize.offsetx + 'px'
  CSS3renderer.domElement.style.marginTop = -window.innerHeight * bigSize.offsety + 'px'
  CSS3renderer.domElement.style.pointerEvents = 'none';
  return CSS3renderer
}

//填充整体渲染器微操
const renderer = renderSet(renderC1)
const CSS3renderer = Css3RenderSet(renderC1)

//环境背景颜色设置
scene.background = new THREE.Color(0, 0, 0, 0);

//主要得渲染器 css3渲染器 渲染器微操
const restCanvas=(renderM,render3,renderC1)=>{
  function onWindowResize() {
    const bigSize = renderC1//render设置
    var SCREEN_WIDTH = window.innerWidth * bigSize.xyADD;
    var SCREEN_HEIGHT = window.innerHeight * bigSize.xyADD;
    render3.setSize(SCREEN_WIDTH, SCREEN_HEIGHT);
    // CSS3renderer.domElement.style.pointerEvents = 'none';
    renderM.setSize(SCREEN_WIDTH, SCREEN_HEIGHT);
    camera.aspect = SCREEN_WIDTH / SCREEN_HEIGHT;
    camera.updateProjectionMatrix();
  
    // console.log(SCREEN_WIDTH);
    // console.log(SCREEN_HEIGHT);
  }

  window.addEventListener('resize', onWindowResize);//添加窗口改变相机刷新时间

}

restCanvas(renderer,CSS3renderer,renderC1)


export { scene, renderer, CSS3renderer };